### Method

# EDataServer WebDAVSession mkcol_addressbook_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_mkcol_addressbook_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const gchar* display_name,
      const gchar* description,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new address book collection identified by `uri` on the server.

Note that CardDAV RFC 6352 Section 5.2 forbids to create address book resources under other address book resources (no nested address books are allowed).

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI of the collection to create.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`display_name`

  Type: `const gchar*`

  A human-readable display name to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const gchar*`

  A human-readable description of the address book, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.